#!/bin/bash


echo ""
echo "Docker documentation details ensuring the following older packages"
echo "are uninstalled first (if relevant):"
echo ""
echo "   sudo apt-get remove docker docker.io containerd runc"
echo "   sudo apt-get remove docker-engine"

echo ""
echo "Press ^C to abort.  Sleeping for 5 seconds ..."
sleep 5

base_url="https://download.docker.com/linux/ubuntu/dists/jammy/pool/stable/amd64"

# Multi-line assignment
deb_list=$(cat <<EOT
  containerd.io_1.6.7-1_amd64.deb
  docker-ce-cli_20.10.17~3-0~ubuntu-jammy_amd64.deb
  docker-ce_20.10.17~3-0~ubuntu-jammy_amd64.deb
  docker-compose-plugin_2.6.0~ubuntu-jammy_amd64.deb
EOT
)


for deb_file in $deb_list ; do
    full_deb_url="$base_url/$deb_file"
    # echo $full_deb_url
    if [ ! -f $deb_file ] ; then
	wget "$full_deb_url"
    else
	echo "Skipping as $deb_file already exists"
    fi
done


for deb_file in $deb_list ; do
    echo ""
    echo "sudo dpkg installing: $deb_file"
    sudo dpkg -i $deb_file
done

